Subject: bug#42655: 27.1; iconify-frame on a Lucid build may stuck the frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Aug 2020 15:05:22 +0300

> From: Tino Calancha <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 07 Aug 2020 13:47:42 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And if you apply your patch, do we get MapNotify immediately after
> > "selecting again the hidden frame"?
> No, I don't.
> With the patch, I get MapNotify right after I hit `C-z'.
> That seems to be OK when I start with `emacs -Q', but it doesn't help
> if I start emacs loading my custom stuff.

So in your customized session the patch doesn't really solve the
problem?  Or did I misunderstand?

> > Btw, what does "selecting again the hidden frame" mean, exactly?  What
> > gestures do you use to do that?  And what is your window manager?
> 
> [This seems to be a problem affecting only my window manager (GNOME Shell)]
> 
> - After C-z, the frame dissapear from the screen.
> - Note, there is no lower/upper bar with the APP iconified.
> - To get such a frame again, you can do it in several ways:
>   1. use shortcut to switch between apps (in my case M-TAB)
>   2. if you the current focused window is another Emacs frame, then you
>     can use the shortcut to switch between windows of same app
>     (in my case M-`)
>   3. Click upper-left corner menu 'Activities': now you can click in the
>     'iconified' frame with the mouse
>   Any of those 1-3 send the MapNotify

Now I'm confused: if MapNotify is sent when you use any of the 3
methods, then why doesn't the frame redisplay normally?  Previously
you said that MapNotify isn't received in this scenario.  What am I
missing?

> I have tested with other window managers in several OSes (Centos 8.1,
> Ubuntu 18.04/20.04).
> All window managers but GNOME Shell send the MapNotify
> _right after_ you land in the previously iconified frame; that is, I only
> can reproduce the bug when I am using GNOME Shell.

OK, thanks.  Bhavin, are you also using the same window manager?